package com.lantone.report.web;


import com.lantone.common.dto.RespDTO;
import com.lantone.common.vo.appeal.MedAppealInfoVO;
import com.lantone.dblayermbg.entity.appeal.WorkFlowNode;
import com.lantone.report.facade.MedAppealInfoManagementFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 申诉审核 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
@RestController
@RequestMapping("/medAppealInfoManage")
@Api(value = "申诉审核数据模块相关接口API", tags = { "申诉审核数据模块相关接口API" })
public class MedAppealInfoManagementController {
    @Autowired
    MedAppealInfoManagementFacade medAppealInfoManagementFacade;

    @ApiOperation(value = "通过id获取工作流[by:songxl]",
            notes = "通过id获取工作流")
    @PostMapping("/getWorkById")
    public RespDTO<WorkFlowNode> getWorkById(@RequestBody MedAppealInfoVO medAppealInfoVO) {
        WorkFlowNode workFlowInfo = medAppealInfoManagementFacade.getWorkById(medAppealInfoVO);
        return RespDTO.onSuc(workFlowInfo);
    }

}
